View Issue Details

IDProjectCategoryView StatusLast Update
14618Bug reports[All Projects] Survey takingpublic2019-04-30 09:11
ReporterDeusdeorumAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.16.x 
Summary14618: slider resets when moving backwards with a starting value
Description

If you have a slider with "Slider initial value" equal to 0 and move the slider to something else, then click next, then move back the slider resets to 0. Only the slider, not the value, value is still stored in DB to what you picked.

TagsNo tags attached.
Complete LimeSurvey version number (& build) 3.15.8
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysqlnd 5.0.12-dev latest DB for LS
Server OS (if known)
Webserver software & version (if known)
PHP Version 7.0.27-0+deb9u1

Relationships

related to 14016 closedDenisChenu Multiple numerical input resets back to initial value when slider is set zero 
related to 13302 closedDenisChenu Slider "Slider starts at the middle position" and "Slider initial value" settings not working 

Activities

Deusdeorum

Deusdeorum

2019-03-08 11:38

reporter  

limesurvey_survey_164682.lss (17,895 bytes)
DenisChenu

DenisChenu

2019-03-08 15:39

developer   ~50856

Ouch major issue here …

DenisChenu

DenisChenu

2019-03-08 17:21

developer   ~50863

https://github.com/LimeSurvey/LimeSurvey/commit/14724ce3a8f6af154686a92a24e6dede589cec72

DenisChenu

DenisChenu

2019-03-08 17:24

developer   ~50864

@Deusdeorum : i test (and fix) without ajax mode. If you have time to check with ajax mode :)
Remind to reset your assets to get the new js file

Deusdeorum

Deusdeorum

2019-03-11 10:40

reporter   ~50893

@DenisChenu Thanks, works fine.

Issue History

Date Modified Username Field Change
2019-03-08 11:38 Deusdeorum New Issue
2019-03-08 11:38 Deusdeorum File Added: limesurvey_survey_164682.lss
2019-03-08 11:38 Deusdeorum Relationship added related to 14016
2019-03-08 11:40 cdorin Assigned To => markusfluer
2019-03-08 11:40 cdorin Status new => assigned
2019-03-08 15:39 DenisChenu Note Added: 50856
2019-03-08 15:41 DenisChenu Assigned To markusfluer => DenisChenu
2019-03-08 17:21 DenisChenu Status assigned => resolved
2019-03-08 17:21 DenisChenu Resolution open => fixed
2019-03-08 17:21 DenisChenu Fixed in Version => 3.16.x
2019-03-08 17:21 DenisChenu Note Added: 50863
2019-03-08 17:24 DenisChenu Note Added: 50864
2019-03-11 08:42 DenisChenu Relationship added related to 13302
2019-03-11 10:40 Deusdeorum Note Added: 50893
2019-04-30 09:11 c_schmitz Status resolved => closed